![](https://geogami.ifgi.de/pictures/logo/icon.png)

# GeoGami

<!-- [![Netlify Status](https://api.netlify.com/api/v1/badges/cdc7d43f-3125-4477-bbcb-8138671c61b7/deploy-status)](https://app.netlify.com/sites/origami-4/deploys) -->
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.5384903.svg)](https://doi.org/10.5281/zenodo.5384903)


GeoGami is a location-based game that allows the user to play and create map-based games - for any place in the world. GeoGami is intended for users to improve and develop their spatial intelligence by improving their orientation skills and cognition. It is created by the Spatial Intelligence Lab (SIL) of the Institute for Geoinformatics, University of Münster.

For more information on **GeoGami** and our **research** visit the [Website](https://geogami.ifgi.de). It's available in both English and German.

## Table of Contents

* [Installation Guide](#installation-guide)
* [How to Play a GeoGame](#how-to-play-a-geogame)
* [How to Create  a GeoGame](#how-to-create-a-geogame)
* [Map Features and Task Types in GeoGami](#map-features-and-task-types-in-geogami)

## Installation Guide

GeoGami runs on both iOS and Android devices with a compass sensor and a GPS or GSM module. The app is still under development and it would be helpful if you all contribute by reporting bugs and functional limitations here: [issues](https://github.com/origami-team/origami/issues).

***You can install GeoGami***...

1. **on your iOS device:** [Visit App Store](https://apps.apple.com/app/geogami/id1614864078).
2. **on your Android device:** [Visit Google Play Store](https://play.google.com/store/apps/details?id=com.ifgi.geogami).

After installation, you can play the game but if you want to create a game and be part of newer version updates by registering as a user. 
To do that, simply register using your email id and set up a strong password. With that you are ready to play.

<img src = https://github.com/origami-team/geogami/blob/master/src/assets/icons/icon.png width = 100>

## How to play a GeoGame

**Requirement:** In order to play a game in GeoGami, you need to install GeoGami to your device. You should check whether your internet connection is strong.

GeoGami offers many games in both Real World and Virtual World. In this video, we will see how to play a GeoGame with Real World games.Depending on your location availability you can choose the game of your choice. To play GeoGami you need a GPS-enabled smartphone or tablet with internet access and an integrated compass. For best accuracy, use a device that has a SIM card. 

If you don't like the game list, you can create a game of your own by registering as a user. 

[![Watch the video](https://uni-muenster.sciebo.de/s/0pEVIrcOVUhdxcc/view)](https://uni-muenster.sciebo.de/s/zTIT6F6zQ8VExXj)

## How to Create a GeoGame

The GeoGami games that you can find in our games database so far have been created by the GeoGami users themselves. 
You can create your own game for your location. Choose from different task types, add photos and audio recordings and adapt the map to your needs. 

To do that you need to install GeoGami and register as a User in GeoGami. This can be done by entering your email id in the login section. After registration, login with your user credentials that you have created when registering.

In this video, we will see how to create a game in geogami with a single task. You can create your games with as many task types as you want.

https://uni-muenster.sciebo.de/s/g6eXo4xB7264g08

## Map Features and Task Types in GeoGami

### Table of Content

<!--ts-->
   * [Task Types](#task-types) 
      * [Navigation Tasks](#navigation-tasks)
      * [Thematic Tasks](#thematic-tasks)
   * [Map Features](#map-features) 
      * [Map Settings](#map-settings)
      * [Marker Settings](#marker-settings)
<!--te-->

### Task Types

Task types are like game types meant to access the navigation skills and abilities.

These are classified as : 

#### Navigation Tasks 

| Navigation to Flag | Navigation with Arrow | Navigation via Text | Navigation via Photo |
| ------------------ | --------------------- | ------------------- | -------------------- |
| <img src = 'https://uni-muenster.sciebo.de/s/7cZ919drVRkrXLE/download' width = 500 height = 300>| <img src = 'https://uni-muenster.sciebo.de/s/VoBTWSpHaeGxFp9/download' width = 500 height = 300 > | <img src = 'https://uni-muenster.sciebo.de/s/J4dyocs2KTtKHil/download' width = 500 height = 300 > | <img src = 'https://uni-muenster.sciebo.de/s/T1aa7BdcPk154EP/download' width = 500 height = 300 > |


#### Thematic Tasks

| Self location Task | Object location Task | Direction determination Task | Free Tasks |
| ------------------ | -------------------- | ---------------------------- | ---------- |
| <img src = 'https://uni-muenster.sciebo.de/s/Qe4SmAb6bYIiOWl/download' width = 600 height = 300> | <img src = 'https://uni-muenster.sciebo.de/s/SjTNDpyMb8gm4GL/download' width = 600 height = 300> | <img src = 'https://uni-muenster.sciebo.de/s/uZzsjUfKuwcR642/download' width = 550 height = 300> | <img src = 'https://uni-muenster.sciebo.de/s/dCmgeA2Z4PuI05Z/download' width = 600 height = 300> |

Additionally we have Information type where you can explain the game in detail to the players, give instructions and rules before proceeding to play.

### Map Features

Map Features have two settings: Map settings and Marker settings.

#### Map Settings

Map Settings is where you control how to project the background map.

| Map Features  | Types   |
| ------------- |:-------------:|
|     `Zoom`    | manual |Zoom to the task|Zoom to the game| off |
|`Map Section`  | movable | automatically-centered | static | |
| `Map Rotation`| manual | automatically | automatically on-demand | fixed to north |
| `Map Type`    | standard map| satellite image | 3D view | Blank map |

With `Map Type` we have options to use the above map types with `on-demand` and `swipe` capabilities.


#### Marker Settings

| Marker Settings |  Description |
| ----------------| :----------------------------------:|
| `Location Marker` | You can know where you are right now |
| `View Direction Marker` | You can know the direction currently faced by your device |
| `Track Recording` | Route tracing |
| `Buffer` | shows a section of the map at the location from 20m to 100m |
| `Highlighting Landmarks` | Highlight the landmarks which was provided in the region surrounding the destination |
| `Highlighting Street Section` | Highlight the street section at the destination, this feature is helpful in deciding which route to take on |

With `Location Marker` and `View Direction Marker` you can use on/on-demand/at the beginning of the task/off capabitilies.
`Track Recording` can be done for the entire game/ only for the current task/ also for the next task.



## Contact

Spatial Intelligence Lab (SIL)
Institute for Geoinformatics
University of Münster
Heisenbergstraße 2
48149 Münster
**Mail:** geogami.ifgi(at)uni-muenster.de

**Team :technologist::**  https://geogami.ifgi.de/kontakt.html#team

## License

MIT Copyright(C) 2021 - GeoGami.

Implemented by [re:edu](https://reedu.de).
